ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.Spawnable = true
ENT.AdminSpawnable = false
ENT.PrintName = "10x Rohre"
ENT.Category = "Ölraffinerie"
ENT.Model = Model("models/zerochain/props_oilrush/zor_drillpipe_holder.mdl")
ENT.AutomaticFrameAdvance = true

function ENT:SetupDataTables()
	self:NetworkVar("Entity", 0, "owning_ent")
	self:NetworkVar("Int", 0, "PipeCount")

	if (SERVER) then
		self:SetPipeCount(10)
	end
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end